Unit FDE47E_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure FDE47E(X :Extended; var Y :Array of Extended;
                var DY :Array of Extended; var Z :Array of Extended;
                M :Integer);
implementation

procedure FDE47E(X :Extended; var Y :Array of Extended;
                var DY :Array of Extended; var Z :Array of Extended;
                M :Integer);
begin
Z[0] := 0.5e0*(Y[1]+DY[0]-Y[0]+DY[1])-0.5e0;
Z[1] := Y[0]-0.5e0*X;
end;

end.

