Unit tde47e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE47E_p, DE47E_p;

function tde47e: String;

implementation

function tde47e: String;
var
M,_i,IERR :Integer;
XN,XK,HMIN,HMAX,EPS,P,H,Y1,Y2,DY1,DY2 :Extended;
YN :Array [0..1] of Extended;
DYN :Array [0..1] of Extended;
Y :Array [0..1] of Extended;
DY :Array [0..1] of Extended;
DELTY :Array [0..1] of Extended;
DF :Array [0..9] of Extended;
RFN :Array [0..1] of Extended;
RF :Array [0..1] of Extended;
YP :Array [0..1] of Extended;
DYP :Array [0..1] of Extended;
Z :Array [0..1] of Extended;
ZP :Array [0..1] of Extended;
begin
Result := '';  {   }
M := 2;
XN := 0.e0;
YN[0] := 1.e0;
YN[1] := -1.e0;
DYN[0] := 1.5e0;
DYN[1] := -0.5e0;
XK := 5.e0;
HMIN := 1.e-10;
HMAX := 0.1e0;
EPS := 0.0001e0;
P := 100.e0;
H := 0.01e0;
DE47E(FDE47E,M,XN,YN,DYN,XK,HMIN,HMAX,EPS,P,H,
     Y,DY,Z,DELTY,DF,RFN,RF,YP,DYP,ZP,IERR);
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%3d ',[IERR]) + #$0D#$0A;
Result := Result + Format(' %20.16f',[XK]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[Y[_i]]);
  if ( ((_i+1) mod 1)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[DY[_i]]);
  if ( ((_i+1) mod 1)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Y1 := Sin(XK)+Cos(XK)+0.5e0*XK;
Y2 := -Y1+XK;
DY1 := Cos(XK)-Sin(XK)+0.5e0;
DY2 := -DY1+1.e0;
Result := Result + Format(' %20.16f %20.16f %20.16f %20.16f %20.16f ',
 [XK,Y1,Y2,DY1,DY2]) + #$0D#$0A;
UtRes('tde47e',Result);  {     tde47e.res }
exit;
end;

end.
